%global forgeurl https://github.com/OpenPrinting/ghostscript-printer-app

%global commit f72e5370dc4e1185475d9c1b0f48e5c76dc46670

%forgemeta

Name:           ghostscript-printer-app
Version:        0
Release:        4%{?dist}
License:        ASL 2.0
Summary:        Printer Application for GhostScript printers that uses PAPPL to support IPP printing from multiple operating systems.
URL:	        %{forgeurl}
Source0:        %{forgesource}
Source1:        ghostscript-printer-app.sysusers
#Services which run as root cannot create listener sockets
Patch0:         ghostscript-printer-app_service-user.patch
BuildRequires:	make
BuildRequires:	gcc
BuildRequires:  systemd-rpm-macros
BuildRequires:  cups-devel
#Git builds so no pkgconfig
BuildRequires:  pappl-devel >= 1.1b2
BuildRequires:  pappl-retrofit-devel
BuildRequires:  cups-filters-devel >= 2.0.0

%description
ps-printer-app is a printer Application for GhostScript printers that uses PAPPL
to support IPP printing from multiple operating systems. In addition, it uses
the resources of cups-filters 2.x (filter functions in libcupsfilters, libppd)
and pappl-retrofit (encapsulating classic CUPS drivers in Printer Applications).

%prep
%forgesetup

%patch0 -p1

%build
%make_build

%install
%make_install libdir=%{buildroot}%{_libdir} serverbin=%{buildroot}%{_libdir}/ghostscript-printer-app

install -p -D -m 0644 %{SOURCE1} %{buildroot}%{_sysusersdir}/ghostscript-printer-app.conf

%pre
%sysusers_create_compat %{SOURCE1}

%post
%systemd_post ghostscript-printer-app.service

%preun
%systemd_preun ghostscript-printer-app.service

%postun
%systemd_postun_with_restart ghostscript-printer-app.service

%files
%license
%{_bindir}/ghostscript-printer-app
%{_libdir}/ghostscript-printer-app
%{_unitdir}/ghostscript-printer-app.service
%{_mandir}/man1/ghostscript-printer-app.1.gz
%dir %{_datadir}/ghostscript-printer-app
%{_datadir}/ghostscript-printer-app/testpage.ps
%attr(-, ghostscript-printer-app, ghostscript-printer-app) %dir %{_sharedstatedir}/ghostscript-printer-app
%{_sysusersdir}/ghostscript-printer-app.conf

%changelog
* Sun Sep 26 2021 Brandon Nielsen <nielsenb@jetfuse.net> 0-4.20210923gitf72e537
- Run service as user ghostscript-printer-app

* Fri Sep 24 2021 Brandon Nielsen <nielsenb@jetfuse.net> 0-3.20210923gitf72e537
- Add shared state folder

* Thu Sep 23 2021 Brandon Nielsen <nielsenb@jetfuse.net> 0-2.20210923gitf72e537
- Correct some path definitions

* Thu Sep 23 2021 Brandon Nielsen <nielsenb@jetfuse.net> 0-1.20210923gitf72e537
- Initial specfile
